function bs4OpenFilePickerModal()
{
    bs4.log('ccdev fp 5');
}


bs4.ready( () => {
    document.addEventListener('click', (event) => {
        const target = event.target;
        
        if (target.matches('button.bs4FilePicker'))
        {   bs4OpenFilePickerModal(event);
        } else if (target.matches('button[data-action="add-tag-button"]'))
        {   //bs4AddTagItem(event);
        } //else bs4.log('ccdev 015 - lick not trapped in files');
    })
});